%define upstream_name    Log-Dispatch-Array
%define upstream_version 1.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Log events to an array (reference)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Log::Dispatch::Output)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This provides a Log::Dispatch log output system that appends logged events
to an array reference. This is probably only useful for testing the logging
of your code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.5.0-2.mga10
+ Revision: 2217076
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 1.5.0-1.mga9
+ Revision: 1928825
- update to 1.005

* Sun Mar 20 2022 umeabot <umeabot> 1.3.0-10.mga9
+ Revision: 1804250
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-9.mga8
+ Revision: 1495415
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-8.mga7
+ Revision: 1268978
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.3.0-7.mga6
+ Revision: 1029336
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.3.0-6.mga6
+ Revision: 948889
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 788530
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 748908
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.3.0-3.mga5
+ Revision: 733164
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5
+ Revision: 685261
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.3.0-1.mga5
+ Revision: 586674
- update to 1.003

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 529202
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 sander85 <sander85> 1.2.0-1.mga4
+ Revision: 450948
- update to 1.002

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 369218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 36395
- mageia rebuild
- imported package perl-Log-Dispatch-Array

